@import url('./general.css');

.landing {
    width: 100%;
    height: calc(100vh - 84px);
    display: flex;
    place-content: center;
    place-items: center;
    background-image:
        linear-gradient(#47474733 1.5px, transparent 1.5px),
        linear-gradient(90deg, #47474733 1.5px, transparent 1.5px);

    background-size: 100px 100px;
    flex-wrap: wrap;
    overflow: hidden;
}

.frase {
    position: relative;
    background: rgba(226, 29, 75, 0.2);
    color: white;
    padding: 10px;
    padding-left: 15px;
    padding-right: 15px;
    font-size: 0.9em;
    border-radius: 1000px;
    display: flex;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
    text-transform: uppercase;
    margin-bottom: 20px;
    z-index: -1;
}

.frase .punto {
    background: var(--primary-color);
    width: 10px;
    height: 10px;
    border-radius: 50%;
}

.ronbo {
    position: absolute;
    place-content: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.ronbo img {
    display: block;
    width: 20px;
    position: relative;
}

.ronbo.a1 {
    right: 380px;
}

.ronbo.a2 {
    left: 380px;
}

.ronbo.a1:before {
    content: '';
    top: 0;
    width: 150px;
    height: 2px;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, rgb(226, 29, 75) 100%);
}

.ronbo.a2::after {
    content: '';
    top: 0;
    width: 150px;
    height: 2px;
    background: linear-gradient(90deg, rgb(226, 29, 75) 0%, #ffffff00 100%);
}

.frase i {
    color: var(--primary-color);
}


.landing h1 {
    max-width: 98%;
    width: 1000px;
    font-size: 7em;
    font-weight: bold;
    color: var(--text-color);
    text-align: center;
    margin-bottom: 20px;
}

.landing h1 span {
    color: var(--primary-color);
}


.landing p {
    max-width: 98%;
    margin-top: 20px;
    width: 800px;
    font-size: 1.2em;
    color: #c2c2c2;
    text-align: center;
    margin: 0;
}


/* --- ESTILO DE HEXÁGONOS --- */
.hexagono {
    position: absolute;
    width: 190px;
    height: 210px;
    background: var(--primary);
    clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
    display: flex;
    justify-content: center;
    align-items: center;
    animation: flotar 6s ease-in-out infinite;
    z-index: -1;
    opacity: 0.5;
    /* Simulación de borde */
}

.hexagono::before {
    width: 190px;
    height: 210px;
    clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
    content: '';
    position: absolute;
    z-index: -1;
    background: var(--primary-color);
}

.hexagono img {
    width: 95%;
    height: 95%;
    object-fit: cover;
    clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
}

/* Animación subida y bajada */
@keyframes flotar {

    0%,
    100% {
        transform: translateY(0) rotate(0deg);
    }

    50% {
        transform: translateY(-20px) rotate(2deg);
    }
}

/* Posiciones aleatorias para 1200px (Escritorio) */
.hex1 {
    top: 10%;
    left: 10%;
    animation-delay: 0s;
}

.hex2 {
    top: 15%;
    right: 15%;
    animation-delay: 1s;
}

.hex3 {
    bottom: 20%;
    left: 5%;
    animation-delay: 2s;
}

.hex4 {
    bottom: 15%;
    right: 10%;
    animation-delay: 1.5s;
}

.hex5 {
    top: 40%;
    left: 15%;
    animation-delay: 3s;
    width: 140px;
    height: 155px;
}

.hex6 {
    top: 50%;
    right: 5%;
    animation-delay: 0.5s;
    width: 140px;
    height: 155px;
}

.hex7 {
    bottom: 5%;
    left: 45%;
    animation-delay: 2.5s;
}

/* Adaptación Celular */
@media (max-width: 768px) {
    .hexagono {
        width: 120px;
        height: 140px;
        opacity: 0.5;
        /* Más sutil en móvil */
    }

    .hex7 {
        display: none;
    }

    /* Quitamos algunos para no saturar */
    .hex3 {
        bottom: 5%;
        left: 5%;
    }

    .hex4 {
        bottom: 5%;
        right: 10%;
    }

    .hex6 {
        right: 10%; 
    }
}
.btns {
    margin-top: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    font-size: 1.1em;
}

.btns a:nth-child(1) {
    padding: 15px 35px;
    background: var(--primary-color);
    color: white;
    text-decoration: none;
    border-radius: 5px;
    font-weight: bold;
}

.btns a:nth-child(2) {
    display: none;
    padding: 15px 35px;
    background: transparent;
    color: var(--primary-color);
    border: 2px solid var(--primary-color);
    background: #86112b71;
    text-decoration: none;
    border-radius: 5px;
    font-weight: bold;

}
#productos_recientes {
    position: relative;
    height: 400px; /* Ajusta según tu diseño */
    /* max-width: ; */
    overflow: hidden;
    display: flex;
    justify-content: center;
    /* align-items: center; */
    place-items: center;
    /* background: #fff; */
    width: 100%;
    margin-top: 20px;
}

.producto-card {
    position: relative;
    opacity: 0;
    transition: all 0.8s ease-in-out;
    transform: translateX(20px);
    text-align: center;
    /* border: 1px solid #ddd; */
    /* padding: ; */
    /* border-radius: 10px; */
    width: 300px;
    height: calc(100% - 50px);
    /* place-content: center; */
    place-items: center;
    display: none;
    /* background: var(--primary-color); */
    overflow: hidden;
    border-radius: 15px;
    
}

.producto-card img {
    clip-path: polygon(50% 0%, 100% 15%, 100% 85%, 50% 100%, 0% 85%, 0% 15%);
    /* margin-top: -50px; */
    width: 100%;
    height: 320px;
    /* object-fit: cover; */
}

.producto-card h3 {
    z-index: 1;
    position: absolute;
    font-size: 1.2em;
    font-weight: bold;
    color: var(--text-color);
    /* margin-top: -10px; */
    bottom: 0px;
    width: 250px;
    line-height: 50px;
    /* border-radius: 15px; */
    background: var(--primary-color);
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    display: block;
    margin-left: 25px;
    padding: 0px 20px 0px 20px;
    text-transform: capitalize;
        clip-path: polygon(50% 0%, 100% 15%, 100% 85%, 50% 100%, 0% 85%, 0% 15%);

}



.producto-card p {
    font-size: 1em;
    color: var(--text-color);
    /* margin-top: 10px; */
    position: absolute;
    top: 0px;
    left: 0px;
    background: var(--primary-color);
    padding: 10px;
    border-radius: 0px 0px 15px 15px;
    width: 150px;
    margin-left: 80px;
    clip-path: polygon(50% 0%, 100% 15%, 100% 85%, 50% 100%, 0% 85%, 0% 15%);

}

.producto-card.active {
    display: block;
    opacity: 1;
    transform: translateX(0);
}

